jQuery Ui Widget Base class

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## Set view and enable jQuery Core and UI libraries

    setView(\Zend_View_Interface $view) : \ZendX_JQuery_View_Helper_Widget

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_View_Helper_Widget`

## Helps with building the correct Attributes Array structure.

    _prepareAttributes(String $id, String $value, Array $attribs) : Array

### Parameters

#### $id

`String`

#### $value

`String`

#### $attribs

`Array`

### Returns

`Array`$attribs

### Properties

## Contains reference to the jQuery view helper

    $jquery : \ZendX_JQuery_View_Helper_JQuery_Container

### Default